<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package Edin
 */

get_header(); ?>

	<div class="hero <?php echo edin_additional_class(); ?>">
		<div class="hero-wrapper"><h1 class="page-title"><?php _e( 'Ой! Кажется ничего не было найдено.', 'edin' ); ?></h1></div>
	</div><!-- .hero -->

	<div class="content-wrapper">

		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">

				<div class="page-content">
					<p><?php _e( 'Кажется мы ничего не нашли. Попробуйте использовать поиск.', 'edin' ); ?></p>

					<?php get_search_form(); ?>

					<?php the_widget( 'WP_Widget_Recent_Posts' ); ?>

					<?php if ( edin_categorized_blog() ) : // Only show the widget if site has multiple categories. ?>
					<div class="widget widget_categories">
						<h2 class="widget-title"><?php _e( 'Самые используемые категории', 'edin' ); ?></h2>
						<ul>
						<?php
							wp_list_categories( array(
								'orderby'    => 'count',
								'order'      => 'DESC',
								'show_count' => 1,
								'title_li'   => '',
								'number'     => 10,
							) );
						?>
						</ul>
					</div><!-- .widget -->
					<?php endif; ?>

					<?php
						/* translators: %1$s: smiley */
						$archive_content = '<p>' . sprintf( __( 'Просмотрите в архивах за месяц. %1$s', 'edin' ), convert_smilies( ':)' ) ) . '</p>';
						the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$archive_content" );
					?>

					<?php the_widget( 'WP_Widget_Tag_Cloud' ); ?>

				</div><!-- .page-content -->

			</main><!-- #main -->
		</div><!-- #primary -->

	</div><!-- .content-wrapper -->

<?php get_footer(); ?>